// headings ----------------

@mixin h1 {
    font-size: 36px;
    line-height: 1.2em;
    margin: 0 0 1.2em;
    @media(min-width: $xl) {
        font-size: 64px;
        line-height: 1.2em;
    }
}

@mixin h2 {
    font-size: 24px;
    line-height: 1.3em;
    margin: 0 0 1.2em;
    @media(min-width: $xl) {
        font-size: 36px;
        line-height: 1.3em;
    }
}

@mixin h3 {
    font-size: 18px;
    line-height: 1.2em;
    margin: 0 0 1.2em;
    @media(min-width: $xl) {
        font-size: 24px;
        line-height: 1.2em;
    }
}

@mixin h4 {
    font-size: 14px;
    line-height: 1.5em;
    margin: 0 0 1.2em;
    @media(min-width: $xl) {
        font-size: 18px;
        line-height: 1.5em;
    }
}

// body text ----------------

@mixin text-body {
    font-size: 14px;
    line-height: 1.5em;
    @media(min-width: $lg) {
        font-size: 16px;
    }
    @media(min-width: $xl) {
        font-size: 18px;
    }
}

// text variants ----------------

@mixin text-12-14 {
    font-size: 12px;
    line-height: 1.5em;
    @media(min-width: $lg) {
        font-size: 14px;
    }
}

@mixin text-20-24 {
    font-size: 20px;
    line-height: 1.5em;
    margin: 0 0 1.2em;
    @media(min-width: $lg) {
        font-size: 22px;
        line-height: 1.4em;
    }
    @media(min-width: $xl) {
        font-size: 24px;
        line-height: 1.4em;
    }
}

@mixin text-18-24 {
    font-size: 18px;
    line-height: 1.4em;
    @media(min-width: $xl) {
        font-size: 20px;
        line-height: 1.4em;
    }    
    @media(min-width: $xl) {
        font-size: 24px;
        line-height: 1.4em;
    }
}




@keyframes up-n-down {
    0% { transform: translateY(0%); }
    100% { transform: translateY(50%); }
}
